{% load staticfiles %}
<html>
<head>
	<meta http-equiv="Content-Type" content="text/html"; charset="utf-8" />
	<meta name="viewport" content="width=device-width, initial-scale=1"/>
<!--===============================================================================================-->	
	<link rel="stylesheet" type="text/css" href="https://code.highcharts.com/css/highcharts.css" />		
<!--===============================================================================================-->
  <link rel="icon" href="{% static 'images/logo-head.PNG' %}">
</head>
<body>
<div id="container1" style="width: 100%; height: 430px; margin: 0 " align="left">

<script src="{% static 'js/highstock.js'%}"></script>
<script src="{% static 'js/lang.js'%}"></script>
<script type="text/javascript">
var data={{data|safe}}
var id={{id|safe}}
var H = Highcharts 
function clicked(min,max,point){
        end='/sentiments/'+point
        parent.min=min
        parent.max=max
        src="http://34.66.198.6/"+id+"/map/"+parseInt(min).toString()+"/"+parseInt(max).toString()+end
        parent.loadIframe("map",src)
        w=end.split('/')
        src="http://34.66.198.6/"+id+"/timeline/"+parseInt(min).toString()+"/"+parseInt(max).toString()+end
        parent.loadIframe("timeline",src)
        src="http://34.66.198.6:3838/?id="+id+"&min="+parseInt(min).toString()+"&max="+parseInt(max).toString()+"&top="+w[1]+"&word="+w[2]+"&skip=0"
         parent.loadIframe("chirp",src)
         src="http://34.66.198.6/"+id+"/account/"+parseInt(min).toString()+"/"+parseInt(max).toString()+end
         parent.loadIframe("account",src)
	src="http://34.66.198.6/"+id+"/adopter/"+parseInt(min).toString()+"/"+parseInt(max).toString()+end
         parent.loadIframe("adopter",src)

         src="http://34.66.198.6/"+id+"/hashtags/"+parseInt(min).toString()+"/"+parseInt(max).toString()+end
         parent.loadIframe("hashtags",src)
         src="http://34.66.198.6/"+id+"/mentions_screen_name/"+parseInt(min).toString()+"/"+parseInt(max).toString()+end
         parent.loadIframe("mentions_screen_name",src)
         src="http://34.66.198.6/"+id+"/screen_name/"+parseInt(min).toString()+"/"+parseInt(max).toString()+end
         parent.loadIframe("screen_name",src)
     src="http://34.66.198.6/"+id+"/sentiments/"+parseInt(min).toString()+"/"+parseInt(max).toString()+end
         parent.loadIframe("sentiments",src)
     src="http://34.66.198.6/"+id+"/twitter/"+parseInt(min).toString()+"/"+parseInt(max).toString()+"/All/"+parent.document.getElementById("sel").value+end
         parent.loadIframe("twitter",src)
     src="http://34.66.198.6/"+id+"/word/"+parseInt(min).toString()+"/"+parseInt(max).toString()+"/All/"+parent.document.getElementById("sel").value+end
         parent.loadIframe("word-cloud",src)
         parent.loadIframe("word-assoc","http://34.66.198.6/"+id+"/word/0/999999999999999/All/all/top/top/_")

}
if (data[0].length>1){
interval=parseInt((data[0][1][0]-data[0][0][0]))
}
else{
interval=0
}

Highcharts.chart('container1', {
    chart: {
                zoomType: 'xy'
    },
    title: {
	useHTML:true,
        text: '<p data-mlr-text>الخط الزمني للمشاعر</p>'
    },

    xAxis: [{
        type:'datetime',
       
    }
    ],

    plotOptions: {
        series: {
            stacking: 'normal',       
        },
    },

    tooltip: {
	shared:true,
    crosshair:true,
	formatter: function() {
	     var points=this.points
             var headerFormat = 'From: ' +
             H.dateFormat('%d %b %Y %H:%M:%S',(this.points[0].point.x)) +
                '<br> To: ' + H.dateFormat('%d %b %Y %H:%M:%S',(this.points[0].point.x + interval))+"<br />"
	    var pointFormat=''
            for(index = 0; index < points.length; index += 1) {
  		pointFormat += '<span style="color:' +
                this.points[index].point.color + '">\u25CF</span> ' +
                this.points[index].series.name + ':<b>' +
                this.points[index].point.y + '</b><br/>'
}
		return [headerFormat, pointFormat]
}	
    },

    series: [{
                    pointWidth: 5,

	cursor: 'pointer',
        type:'column',
        color:'rgb(76,187,23)',
        name: 'Positive',
        point:{
        events:{
        click:function(){
        clicked(this.x,this.x+interval,this.series.name)
        }
        }
        },
        data: data[0]
    }, {
	            pointWidth: 5,
	cursor: 'pointer',
    	type:'column',
        color:'rgb(194,24,7)',
        name: 'Negative',
        data: data[1],
        point:{
        events:{
        click:function(){
        clicked(this.x,this.x+interval,this.series.name)
        }
        }
        }
    },
        {

        name: 'Difference',
        color:'black',
        type: 'line',
        data: data[2],
    

    }]
});

function nthIndex(str, pat, n){
    var L= str.length, i= -1;
    while(n-- && i++< L){
        i= str.indexOf(pat, i);
        if (i < 0) break;
    }
    return i;
}   

</script> 

</body>
</html>
